Unusual Whales UnusualWhales API

Recent flows

GET https://api.unusualwhales.com/api/stock/{ticker}/flow-recent

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Query Parameters

side Side optional

The side of a stock trade. Must be one of ASK, BID, MID. If not set, will return all side's trades.

Example: ASK Default: ALL
enum: ALL, ASK, BID, MID
min_premium StockTradesMinPremium optional

The minimum premium requested trades should have.

Example: 50000 Default: 0
>= 0

Responses

200 422 500

Response Body 200 OK

call_otm_premium Market General Call OTM Premium

The sum of the premium of all the out the money (OTM) call transactions that executed.

Example: 9908777.0
call_otm_trades Market General Call OTM Trades

The amount of out the money (OTM) call transactions that executed.

Example: 6338
call_otm_volume Market General Call OTM Volume

The sum of the size of all the out the money (OTM) call transactions that executed.

Example: 40385
call_premium Market General Call Premium

The sum of the premium of all the call transactions that executed.

Example: 9908777.0
call_premium_ask_side Market General Call Premium Ask Side

The sum of the premium of all the call transactions that executed on the ask side.

Example: 5037703.0
call_premium_bid_side Market General Call Premium Bid Side

The sum of the premium of all the call transactions that executed on the bid side.

Example: 4055973.0
call_trades Market General Call Trades

The amount of call transactions that executed.

Example: 6338
call_volume Market General Call Volume

The sum of the size of all the call transactions that executed.

Example: 990943
call_volume_ask_side Market General Call Volume Ask Side

The sum of the size of all the call transactions that executed on the ask side.

Example: 417251
call_volume_bid_side Market General Call Volume Bid Side

The sum of the size of all the call transactions that executed on the bid side.

Example: 498271
date Market General Trading day

A trading date in ISO format.

Example: 2023-09-08
expiry Option Contract Expiry

The contract expiry date in ISO format.

Example: 2023-12-22
put_otm_premium Market General Put OTM Premium

The sum of the premium of all the out the money (OTM) put transactions that executed.

Example: 1204570.0
put_otm_trades Market General Put OTM Trades

The amount of out the money (OTM) put transactions that executed.

Example: 4270
put_otm_volume Market General Put OTM Volume

The sum of the size of all the out the money (OTM) put transactions that executed.

Example: 12638
put_premium Market General Put Premium

The sum of the premium of all the put transactions that executed.

Example: 163537151
put_premium_ask_side Market General Put Premium Ask Side

The sum of the premium of all the put transactions that executed on the ask side.

Example: 799873.0
put_premium_bid_side Market General Put Premium Bid Side

The sum of the premium of all the put transactions that executed on the bid side.

Example: 4055973.0
put_trades Market General Put Trades

The amount of put transactions that executed.

Example: 841
put_volume Market General Put Volume

The sum of the size of all the put transactions that executed.

Example: 808326
put_volume_ask_side Market General Put Volume Ask Side

The sum of the size of all the put transactions that executed on the ask side.

Example: 431791
put_volume_bid_side Market General Put Volume Bid Side

The sum of the size of all the put transactions that executed on the bid side.

Example: 314160
ticker Stock Ticker

The stock ticker.

Example: AAPL
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/flow-recent" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "call_otm_premium": "3885339",
      "call_otm_trades": 10213,
      "call_otm_volume": 81598,
      "call_premium": "5839180",
      "call_premium_ask_side": "2615356",
      "call_premium_bid_side": "2722619",
      "call_trades": 11383,
      "call_volume": 89177,
      "call_volume_ask_side": 43669,
      "call_volume_bid_side": 40164,
      "date": "2024-01-22",
      "expiry": "2024-01-26",
      "put_otm_premium": "632247",
      "put_otm_trades": 2077,
      "put_otm_volume": 12164,
      "put_premium": "4802145",
      "put_premium_ask_side": "3593584",
      "put_premium_bid_side": "690572",
      "put_trades": 2744,
      "put_volume": 20101,
      "put_volume_ask_side": 7396,
      "put_volume_bid_side": 8113,
      "ticker": "BABA"
    },
    {
      "call_otm_premium": "1264038",
      "call_otm_trades": 2550,
      "call_otm_volume": 17525,
      "call_premium": "1869073",
      "call_premium_ask_side": "885103",
      "call_premium_bid_side": "832727",
      "call_trades": 2936,
      "call_volume": 19268,
      "call_volume_ask_side": 7778,
      "call_volume_bid_side": 9875,
      "date": "2024-01-22",
      "expiry": "2024-02-02",
      "put_otm_premium": "206709",
      "put_otm_trades": 588,
      "put_otm_volume": 3581,
      "put_premium": "627117",
      "put_premium_ask_side": "191982",
      "put_premium_bid_side": "354687",
      "put_trades": 847,
      "put_volume": 4709,
      "put_volume_ask_side": 1238,
      "put_volume_bid_side": 3004,
      "ticker": "BABA"
    }
  ],
  "date": "2024-01-22"
}